const t = {
  comment: {
    pattern: /\/{2}.*/
  },
  simple_quote_string: {
    pattern: /'(?:[^\\]|\\.)*?(?:'|$)/
  },
  double_quote_string: {
    pattern: /"(?:[^\\]|\\.)*?(?:"|$)/
  },
  time_period: {
    pattern: /\d+[dwmy]/i
  },
  number: {
    pattern: /\d+(?:\.\d+)?/
  },
  linked_from: {
    pattern: /linked\s*from\b/i
  },
  structure: {
    pattern: /(?:and|from|or|select|where)\b/i
  },
  function: {
    pattern: /(?:artifact|between|by|child|children|covered|covering|from|in|is|linked|myself|not|now|open|parent|to|tracker|type|with|without)\b/i
  },
  operator: {
    pattern: /[=<>!+-]+/
  },
  parenthesis: {
    pattern: /[()]/
  },
  atvariable: {
    pattern: /@[.\w-]+/
  },
  variable: {
    pattern: /[.\w-]+/
  }
};
Prism.languages.tql = {
  comment: {
    pattern: t.comment.pattern,
    greedy: !0
  },
  "simple-quote": {
    pattern: t.simple_quote_string.pattern,
    alias: "string"
  },
  "double-quote": {
    pattern: t.double_quote_string.pattern,
    alias: "string"
  },
  "time-period": {
    pattern: t.time_period.pattern,
    alias: "number"
  },
  number: {
    pattern: t.number.pattern
  },
  "linked-from": {
    pattern: t.linked_from.pattern,
    alias: "function"
  },
  structure: {
    pattern: t.structure.pattern,
    alias: "keyword"
  },
  function: {
    pattern: t.function.pattern
  },
  operator: {
    pattern: t.operator.pattern
  },
  parenthesis: {
    pattern: t.parenthesis.pattern,
    alias: "operator"
  },
  atrule: {
    pattern: t.atvariable.pattern,
    greedy: !0
  },
  variable: {
    pattern: t.variable.pattern,
    greedy: !0
  }
};
